# mv 106175-publictransport-0.5.4.tar.gz publictransport-0.5.4.tar.gz
# xzme publictransport-0.5.4.tar.gz
%define srcname publictransport
%define	name	plasma-applet-%{srcname}
%define	version	0.9
%define	release	%mkrel	1

%define	dirversion	0.9
%define icondirversion      0.8.3
%define	ttmrelease	0.2.1
%define ttmversion	%{ttmrelease}
%define osmversion	0.1.1
%define runnerversion	0.1

Name:		%{name}
Summary:	departure / arrival board for a given stop
Version:	%{version}
Release:	%{release}
Url:		http://www.kde-look.org/content/show.php/PublicTransport?content=106175
License:	GPLv3
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source0:	106175-%{srcname}-%{version}_ttmate-%{ttmrelease}.tar.gz

BuildRequires:  webkitkde-devel
Requires:	plasma-dataengine-%{srcname} webkitkde

%description
This applet shows a departure / arrival board for a given stop. It can also
show journeys to or from the given "home stop". It gets it's information by
parsing HTML/XML files from the web. You can get data for public transport,
trains, ferries and planes (using flightstats.com).
It can be put into a panel and show the information in a popup
(Plasma::PopupApplet).
You can set alarms for journeys and filter out journeys by type of vehicle or
targets / origins.

%package -n plasma-dataengine-%{srcname}
Summary:	Dataengine for %{name}

%description -n plasma-dataengine-%{srcname}
This is the dataengine for %{name}

%prep
%setup -q -n %{srcname}-%{dirversion}_timetablemate-%{ttmversion}


%build
cd plasma-dataengine-publictransport-%{dirversion}
%cmake_kde4
make

cd ../../plasma-applet-publictransport-%{dirversion}
%cmake_kde4
make

cd ../../plasma-runner-publictransport-%{runnerversion}
%cmake_kde4
make

cd ../../plasma-dataengine-openstreetmap-%{osmversion}
%cmake_kde4
make

cd ../../timetablemate-%{ttmrelease}
%cmake_kde4
make

cd ../../publictransport-icons-%{icondirversion}
%cmake_kde4


%install
%{__rm} -rf %{buildroot}
cd plasma-dataengine-publictransport-%{dirversion}/build
%{makeinstall_std}
cd -
cd plasma-applet-publictransport-%{dirversion}/build
%{makeinstall_std}
cd -
cd plasma-runner-publictransport-%{runnerversion}/build
%{makeinstall_std}
cd -
cd plasma-dataengine-openstreetmap-%{osmversion}/build
%{makeinstall_std}
cd -
cd timetablemate-%{ttmrelease}
%{__mkdir} -p %{buildroot}%{_bindir}
install -m0755 build/src/timetablemate %{buildroot}%{_bindir}/timetablemate
%{__mkdir} -p %{buildroot}%{_libdir}/kde4/libexec
install -m0755 build/src/timetablematehelper %{buildroot}%{_libdir}/kde4/libexec/timetablematehelper
%{__mkdir} -p %{buildroot}%{_datadir}/applications/kde4
install -m0644 src/timetablemate.desktop %{buildroot}%{_datadir}/applications/kde4/timetablemate.desktop
%{__mkdir} -p %{buildroot}%{_datadir}/config.kcfg
install -m0644 src/timetablemate.kcfg %{buildroot}%{_datadir}/config.kcfg/timetablemate.kcfg
%{__mkdir} -p %{buildroot}%{_datadir}/apps/timetablemate
install -m0644 src/timetablemateui.rc %{buildroot}%{_datadir}/apps/timetablemate/timetablemateui.rc
%{__mkdir} -p %{buildroot}%{_datadir}/polkit-1/actions
install -m0644 build/src/org.kde.timetablemate.policy %{buildroot}%{_datadir}/polkit-1/actions/org.kde.timetablemate.policy
%{__mkdir} -p %{buildroot}/etc/dbus-1/system.d
install -m0644 build/src/org.kde.timetablemate.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/org.kde.timetablemate.conf
%{__mkdir} -p %{buildroot}%{_datadir}/dbus-1/system-services
install -m0644 build/src/org.kde.timetablemate.service %{buildroot}%{_datadir}/dbus-1/system-services/org.kde.timetablemate.service
%{__mkdir} -p %{buildroot}%{_datadir}/apps/timetablemate/templates
install -m0644 templates/template.xml %{buildroot}%{_datadir}/apps/timetablemate/templates/template.xml
install -m0644 templates/template.js %{buildroot}%{_datadir}/apps/timetablemate/templates/template.js
cd -
cd publictransport-icons-%{icondirversion}
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
install -m0644 hi128-app-public-transport-stop.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/public-transport-stop.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
install -m0644 hi64-app-public-transport-stop.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/public-transport-stop.png
install -m0644 hi64-app-vehicle_type_trolleybus.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_trolleybus.png
install -m0644 hi64-app-vehicle_type_train_intercityexpress.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_train_intercityexpress.png
install -m0644 hi64-app-vehicle_type_metro.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_metro.png
install -m0644 hi64-app-vehicle_type_train_interurban.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_train_interurban.png
install -m0644 hi64-app-vehicle_type_plane.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_plane.png
install -m0644 hi64-app-vehicle_type_bus.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_bus.png
install -m0644 hi64-app-vehicle_type_train_intercityeurocity.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_train_intercityeurocity.png
install -m0644 hi64-app-vehicle_type_ferry.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_ferry.png
install -m0644 hi64-app-vehicle_type_train_regionalexpress.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_train_regionalexpress.png
install -m0644 hi64-app-vehicle_type_feet.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_feet.png
install -m0644 hi64-app-vehicle_type_subway.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_subway.png
install -m0644 hi64-app-vehicle_type_train_interregio.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_train_interregio.png
install -m0644 hi64-app-vehicle_type_tram.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/vehicle_type_tram.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m0644 hi32-app-public-transport-stop.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/public-transport-stop.png
install -m0644 hi32-app-vehicle_type_bus.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_bus.png
install -m0644 hi32-app-vehicle_type_ferry.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_ferry.png
install -m0644 hi32-app-vehicle_type_metro.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_metro.png
install -m0644 hi32-app-vehicle_type_plane.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_plane.png
install -m0644 hi32-app-vehicle_type_subway.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_subway.png
install -m0644 hi32-app-vehicle_type_train_intercityeurocity.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_train_intercityeurocity.png
install -m0644 hi32-app-vehicle_type_train_intercityexpress.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_train_intercityexpress.png
install -m0644 hi32-app-vehicle_type_train_interregio.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_train_interregio.png
install -m0644 hi32-app-vehicle_type_train_interurban.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_train_interurban.png
install -m0644 hi32-app-vehicle_type_train_regionalexpress.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_train_regionalexpress.png
install -m0644 hi32-app-vehicle_type_tram.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_tram.png
install -m0644 hi32-app-vehicle_type_trolleybus.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/vehicle_type_trolleybus.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/22x22/apps
install -m0644 hi22-app-public-transport-stop.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/public-transport-stop.png
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
install -m0644 hi16-app-public-transport-stop.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/public-transport-stop.png
install -m0644 hi16-app-vehicle_type_bus.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_bus.png
install -m0644 hi16-app-vehicle_type_feet.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_feet.png
install -m0644 hi16-app-vehicle_type_ferry.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_ferry.png
install -m0644 hi16-app-vehicle_type_metro.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_metro.png
install -m0644 hi16-app-vehicle_type_plane.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_plane.png
install -m0644 hi16-app-vehicle_type_subway.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_subway.png
install -m0644 hi16-app-vehicle_type_train_intercityeurocity.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_train_intercityeurocity.png
install -m0644 hi16-app-vehicle_type_train_intercityexpress.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_train_intercityexpress.png
install -m0644 hi16-app-vehicle_type_train_interregio.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_train_interregio.png
install -m0644 hi16-app-vehicle_type_train_interurban.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_train_interurban.png
install -m0644 hi16-app-vehicle_type_train_regionalexpress.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_train_regionalexpress.png
install -m0644 hi16-app-vehicle_type_tram.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_tram.png
install -m0644 hi16-app-vehicle_type_trolleybus.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/vehicle_type_trolleybus.png


#for i in 128 22 64 16 32; do
#%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/
#install -m0644 publictransport-icons-%{dirversion}/hi$i*png %{buildroot}%{_datadir}/icons/hicolor/${i}x${i}/apps/;
#done

%clean
%{__rm} -rf %{buildroot}

%files -n plasma-dataengine-%{srcname}
%defattr(-,root,root)
%{_libdir}/kde4/*.so
%{_datadir}/locale/*/LC_MESSAGES/plasma_engine_publictransport.mo
%{_datadir}/apps/plasma_engine_publictransport
%{_datadir}/kde4/services/plasma-engine-openstreetmap.desktop
%{_datadir}/kde4/services/plasma-engine-publictransport.desktop
%{_datadir}/kde4/services/plasma-runner-publictransport.desktop
%{_datadir}/kde4/services/plasma-runner-publictransport_config.desktop

%files
%{_libdir}/kde4/plasma_applet_publictransport.so
%{_datadir}/locale/*/LC_MESSAGES/plasma_applet_publictransport.mo
%{_datadir}/config/publictransport.knsrc
%{_datadir}/icons/*.png                                
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/kde4/services/plasma-applet-publictransport.desktop
%{_sysconfdir}/dbus-1/system.d/org.kde.timetablemate.conf
%{_bindir}/timetablemate
%{_libdir}/kde4/libexec/timetablematehelper
%{_datadir}/applications/kde4/timetablemate.desktop
%{_datadir}/apps/timetablemate/templates/template.js
%{_datadir}/apps/timetablemate/templates/template.xml
%{_datadir}/apps/timetablemate/timetablemateui.rc
%{_datadir}/config.kcfg/timetablemate.kcfg
%{_datadir}/dbus-1/system-services/org.kde.timetablemate.service
%{_datadir}/polkit-1/actions/org.kde.timetablemate.policy

%changelog
* Thu Dec 16 2010 Jens Ornot <rpm@mandrivauser.de> 0.9-1mud2010.1
- new version 0.9

* Sun Aug 15 2010 Jens Ornot <rpm@mandrivauser.de> 0.8.4-1mud2010.1
- new version 0.8.4

* Sun Jan 04 2010 Oliver Burger <rpm@mandrivauser.de> 0.5.4-1mud2010.0
- initial package for Mandriva Linux
